class ElasticDot::Command::Services < ElasticDot::Command::Base
  def self.create(args, opts)
    info = api.post '/domains', domain: args[0], type: 'service'

    if info['error']
      puts info['error']
      exit 1
    end

    puts "Creating service app #{info['app_name']}... done"
    puts info['app_repo']

    create_git_remote 'elasticdot', info['app_repo']
  end

  def self.destroy(opts)
    find_app! opts

    spinner "Destroying app #{@app}..." do
      api.delete "/domains/#{@app}"
    end
  end

  def self.info(opts)
    find_app! opts

    h = api.get "/domains/#{@app}"

    puts "=== #{@app}"
    puts
    puts "Git URL:\t#{h['git_repo']}"
    puts "Owner Email:\t#{h['owner_email']}"
    puts "Region:\t\tEU"
    #   puts "Slug Size:\t#{h['slug_size']}"
  end

  def self.list
    apps = api.get "/apps?type=service"
    puts '=== My Services'
    apps.each { |app| puts app }
  end
end
